module.exports = {
	productionSourceMap: false,
	assetsDir: 's',
	configureWebpack: {
		externals: {
			vue: "Vue",
			vuex: "Vuex",
			"vue-router": "VueRouter",
			"element-ui": "ELEMENT"
		},
	},
	lintOnSave:false,
	devServer: {
		inline: true,
		disableHostCheck: true,
		port: 8085,
		hot: true,//自动保存
		proxy: {
			'/office': {
				target: 'http://127.0.0.1:21085',
				changeOrigin: true,
				secure: false,
				cookieDomainRewrite: 'localhost',
			}
		}
	}
}
